<!--begin::Form-->
<form class="form w-100" novalidate="novalidate" id="kt_login_signin_form" [formGroup]="loginForm"
    (ngSubmit)="submit()">
    <!--begin::Heading-->
    <div class="text-center mb-10">
        <!--begin::Logo-->
        <a routerLink="/" class="mb-12">
            <img alt="Logo" src="assets/media/logos/skrm-logo2.png" class="h-80px" />
        </a>
        <!--end::Logo-->
        <h1 class="text-dark mb-3">Login to CMS 2.0</h1>

        <!-- begin::Alert info-->
        <ng-container>
            <div class="mb-10 bg-light-info p-2">
                <span class="text-info">Enter your<strong> email</strong> and<strong> password</strong> to continue.</span>
            </div>
        </ng-container>
        <!-- end::Alert info-->
         
    </div>
    <!--end::Heading-->

    <!-- begin::Alert error-->
    <ng-container *ngIf="hasError">
        <div class="mb-lg-15 alert alert-danger">
          <div class="alert-text font-weight-bold">
            {{errorMessage}}
          </div>
        </div>
      </ng-container>
    <!-- end::Alert error-->

    <!--begin::Form group-->
    <div class="fv-row mb-10">
        <label class="form-label fs-6 fw-bolder text-dark">Email</label>
        <input class="form-control form-control-lg form-control-solid" type="email" name="email" formControlName="email"
            autocomplete="off" [ngClass]="{
        'is-invalid': loginForm.controls['email'].invalid,
        'is-valid': loginForm.controls['email'].valid
      }" />
        <ng-container [ngTemplateOutlet]="formError" [ngTemplateOutletContext]="{
        validation: 'required',
        message: 'Email is required',
        control: loginForm.controls['email']
       
      }"></ng-container>
  
      <ng-container [ngTemplateOutlet]="formError" [ngTemplateOutletContext]="{
        validation: 'pattern',
        message: 'Email is invalid',
        control: loginForm.controls['email']
      }"></ng-container>
    </div>
    <!--end::Form group-->

    <!--begin::Form group-->
    <div class="fv-row mb-10">
        <div class="d-flex justify-content-between mt-n5">
            <div class="d-flex flex-stack mb-2">
                <label class="form-label fw-bolder text-dark fs-6 mb-0">Password</label>

            </div>
        </div>

        <input class="form-control form-control-lg form-control-solid" type="password" name="password"
            autocomplete="off" formControlName="password" [ngClass]="{
        'is-invalid': loginForm.controls['password'].invalid,
        'is-valid': loginForm.controls['password'].valid
      }" />
        <ng-container [ngTemplateOutlet]="formError" [ngTemplateOutletContext]="{
        validation: 'required',
        message: 'Password is required',
        control: loginForm.controls['password']
      }"></ng-container>
          
      <ng-container [ngTemplateOutlet]="formError" [ngTemplateOutletContext]="{
        validation: 'pattern',
        message: 'Password should contain 8-16 character, an upper case, a lower case, a number and a special charaterer. For exp. Test@1234.',
        control: loginForm.controls['password']
      }"></ng-container>
    </div>
    <!--end::Form group-->

    <!--begin::Action-->
    <div class="text-center">
        <button type="submit" id="kt_sign_in_submit" class="btn btn-lg btn-success w-100 mb-5"
        [disabled]="loginForm.invalid">
            <ng-container *ngIf="isLoading$ | async">
                <span class="indicator-progress" [style.display]="'block'">
                    Please wait...
                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                </span>
            </ng-container>
            <ng-container *ngIf="!(isLoading$ | async)">
                <span class="indicator-label">Login</span>
            </ng-container>
        </button>

        <!-- begin::Separator  -->
        <div class="text-center text-muted text-uppercase fw-bolder mb-5">or</div>
        <!-- end::Separator  -->

        <!--begin::Link-->
        <span>Forgot Password ?</span><a routerLink="/auth/forgot-password" class="link-lable-purple fw-bolder fs-6"> Recover
            Here</a>
        <!--end::Link-->
    </div>
    <!--end::Action-->
</form>
<!--end::Form-->

<ng-template #formError let-control="control" let-message="message" let-validation="validation">
    <ng-container *ngIf="control.hasError(validation) && (control.dirty || control.touched)">
        <div class="fv-plugins-message-container">
            <span role="alert" class="text-danger">
                {{ message }}
            </span>
        </div>
    </ng-container>
</ng-template>